Page MenuHomePhabricator

[NEON] Define vfma_n_f32() and vfmaq_n_f32() intrinsics in AArch32 mode
ClosedPublic

Authored by kosarev on Apr 15 2018, 6:15 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kosarev created this revision.Apr 15 2018, 6:15 AM
SjoerdMeijer added inline comments.Apr 16 2018, 5:35 AM
test/CodeGen/arm-neon-fma.c
27 ↗(On Diff #142560)

If these bitcasts are not used, we also don't need to check for them; that looks to be inline with the other tests here.

kosarev updated this revision to Diff 142784.Apr 17 2018, 8:07 AM

Removed checks for unused bitcasts. Thanks for catching!

kosarev retitled this revision from [NEON} Define vfma_n_f32() and vfmaq_n_f32() intrinsics in AArch32 mode to [NEON] Define vfma_n_f32() and vfmaq_n_f32() intrinsics in AArch32 mode.Apr 17 2018, 9:46 AM
SjoerdMeijer accepted this revision.Apr 17 2018, 11:42 AM

The corresponding LLVM tests seem be there already, so this looks all good to me.

This revision is now accepted and ready to land.Apr 17 2018, 11:42 AM
This revision was automatically updated to reflect the committed changes.